﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;

using System.IO;

namespace MachrJazyky
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        int i = 0;

        List<string> listslov = new List<string>();
        List<string> listnew = new List<string>();
        public Window1()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

            var view = new GridView();
            view.Columns.Add(new GridViewColumn { Header = "Original", DisplayMemberBinding = new Binding("Or") });
            view.Columns.Add(new GridViewColumn { Header = "New", DisplayMemberBinding = new Binding("New") });
            codeListView.View = view;


            listslov.Add("Weight");
            listslov.Add("Length");
            listslov.Add("Data");
            listslov.Add("Convert to");
            listslov.Add("Convert from");
            listslov.Add("Convert");
            listslov.Add("Language");
            listslov.Add("Czech");
            listslov.Add("Slovak");
            listslov.Add("English");
            listslov.Add("is " + " " +"--End of words--");

            txtOrig.Text = listslov[i].ToString();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (i < listslov.Count)
            {
                if (tbNev.Text != "")
                {
                    codeListView.Items.Add(new { Or = listslov[i].ToString(), New = tbNev.Text });
                    listnew.Add(tbNev.Text);
                    i++;
                  if( i < listslov.Count)
                    txtOrig.Text = listslov[i].ToString();
                }
                else
                    MessageBox.Show("You have to entry new translation!", "Error", MessageBoxButton.OK, MessageBoxImage.Error);

            }
            else
            {
                if (tblang.Text == "")
                {
                    MessageBox.Show("You have to entry Language shortcut!", "Error", MessageBoxButton.OK, MessageBoxImage.Error);
                }
                else
                {
                    btnsave.IsEnabled = true;
                }
            }
        }



        private void btnsave_Click(object sender, RoutedEventArgs e)
        {
            using (System.IO.StreamWriter file = new System.IO.StreamWriter(Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData), "Prevodnik/" + tblang.Text + ".txt")))
            {
                foreach (string line in listnew)
                {

                    file.WriteLine(line);

                }
            }
        }

        private void tblang_TextChanged(object sender, TextChangedEventArgs e)
        {
           if(i <= listslov.Count)
           {
               btnsave.IsEnabled = true;
           }
        }

    }
}






